body,
button,
h2.title-name {
  -webkit-user-select: none;
  -moz-user-select: -moz-none;
  -ms-user-select: none;
  user-select: none;
}

/* Re-enable text selection only where users need to type or copy */
input,
textarea,
#blur-text,
#blur-text span {
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}

header {
  position: sticky;
  top: 0;
  z-index: 10;
  width: 100%;
}

main {
  display: flex;
  flex-direction: column;
}

/* .fixed-content {
  position: sticky !important;
  top: 180px;
  height: fit-content;
} */

/* .fixed-content {
  position: sticky;
  top: 0;
  max-height: 115vh;
  overflow-y: auto;
  transition: top 0.3s ease-in-out;
} */

/* .fixed-content {
  position: sticky;
  top: 170px;
  align-self: start;
  max-height: 110vh;
  overflow-y: auto;
} */

.scrollable {
  flex: 1;
  overflow: hidden;
  gap: 0.5rem;
  position: sticky;
  top: 170px;
  max-height: calc(100vh - 170px);
}
/* .scrollable:first-child {
  border-right: 1px solid rgb(203 213 225);
} */

.fixed-content {
  position: sticky;
  top: 0;
  max-height: 110vh;
  overflow-y: auto;
  /* transition: top 0.3s ease; */
}

/* .scroll-fixed {
  height: 100%;
} */

#iframe {
  background-color: black;
  border-radius: 10px;
  width: 100%;
  height: 452px;
  padding: 30px;
}

#iframe-mob {
  background-color: black;
  border-radius: 10px;
  width: 100%;
  height: 335px;
  min-height: 335px;
  padding: 30px;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.accordion {
  scroll-margin: 20px;
}

.blur-text {
  filter: blur(5px);
  transition: filter 0.3s ease-in-out;
}

.no-blur {
  filter: none !important;
}

.toggle-label {
  margin-left: 0px;
  width: 30px;
  height: 20px;
}

.toggle-checkbox:checked + .toggle-label {
  background-color: #4dc91c;
  border: 0px;
}

.toggle-circle {
  width: 15px;
  height: 15px;
}

.toggle-checkbox:checked + .toggle-label .toggle-circle {
  transform: translateX(70%);
  background-color: #ffffff;
}

.custom-radio {
  margin-top: 1px;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  display: inline-block;
  width: 24px;
  height: 24px;
  background-clip: content-box;
  border: 1px solid #afafaf;
  /* Green border color */
  border-radius: 50%;
  background-color: white;
  position: relative;
  outline: none;
  cursor: pointer;
}

.custom-radio:hover {
  border: 1px solid #8f8f8f;
}

.custom-radio:checked {
  background-color: #76cc11;
  border: 0px;
}

.custom-radio:checked::before {
  content: "";
  display: block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* Custom styles for the range input */
.custom-range::-webkit-slider-thumb {
  width: 20px;
  height: 20px;
  background: #76cc11;
  /* Lime green color */
  border-radius: 50%;
  cursor: pointer;
  -webkit-appearance: none;
  appearance: none;
}

.custom-range::-moz-range-thumb {
  width: 20px;
  height: 20px;
  background: #76cc11;
  border-radius: 50%;
  cursor: pointer;
}

.custom-range::-ms-thumb {
  width: 20px;
  height: 20px;
  background: #76cc11;
  border-radius: 50%;
  cursor: pointer;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.dropdown-container {
  position: relative;
  display: inline-block;
  width: 100%;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #ffffff;
  min-width: 100%;
  z-index: 1;
}

.dropdown-scroll {
  display: block;
  overflow-y: scroll;
  min-height: 33px;
  max-height: 35vh;
}

.dropdown-footer {
  max-height: 16vh;
}

.dropdown-content.show {
  display: block;
}

.dropdown-scroll div {
  padding: 6px;
  text-decoration: none;
}

.dropdown-scroll div:hover,
.dropdown-scroll div.highlighted {
  background-color: #ebebeb;
  color: #000000;
}

.dropdown-content .search-input {
  border: 1px solid #b8b8b8;
  width: calc(100% - 8px);
  padding: 4px;
  margin: 4px;
}

.dropdown-content #search-footer {
  border-radius: 3px;
}

.dropdown-content .search-input:focus {
  border: 1px solid #76cc11;
}

.dropdown-content #search-footer:focus {
  border: 1px solid #ffffff;
}

.dropdown-scroll li:focus {
  outline: none;
}

.dropdown-scroll li {
  color: black;
  padding: 6px;
  text-decoration: none;
}

.dropdown-scroll li:hover,
.dropdown-scroll li.highlighted {
  background-color: #ebebeb;
}

.highlighted {
  background-color: #ebebeb !important;
  /* Active highlight with keyboard/mouse */
}

ul li::marker {
  font-size: 10px;
}

ul li {
  vertical-align: middle;
}

pre {
  margin: 0;
  height: -webkit-fill-available;
}

.sp-dd {
  display: none;
}

button.sp-replacer {
  width: 40px !important;
  height: 40px !important;
  border: 1px solid #000000 !important;
  border-radius: 50%;
  position: unset;
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 95px;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 4px;
  padding: 3px 0;
  position: absolute;
  z-index: 1;
  top: 110%;
  left: 67%;
  margin-left: -60px;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent black transparent;
}

code {
  font-size: 14px !important;
  font-family: Open Sans !important;
  line-height: 140% !important;
}

::placeholder {
  color: black;
}

.phone-wrapper .preview-btn {
  position: fixed;
  left: 50%;
  bottom: 2rem;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 0.5rem 1.5rem;
  border-radius: 20px;
  border: none;
  outline: none;
  box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.5);
  display: none;
  pointer-events: all;
  color: #888787;
  font-size: 0.91rem;
  -webkit-overflow-scrolling: touch;
  z-index: 22100;
}

.phone-wrapper .preview-btn {
  display: flex;
  flex-direction: row;
  align-items: center;
}

/* Default: hide the element */
.phone-wrapper {
  display: none;
}

.sp-clear-enabled .sp-clear {
  visibility: hidden;
}

.sp-clear-enabled .sp-hue {
  top: 0% !important;
  height: 100% !important;
}

.highlight {
  background-color: #ebebeb;
  /* Light background color for highlighted item */
  color: #000;
}

.bg-dark {
  background-color: #262626 !important;
}

/* FOOTER */

footer {
  padding-left: 20px;
  padding-right: 20px;
  text-align: center;
  color: #fff;
  font-size: 0.875rem;
}

footer.hide {
  display: none;
}

footer img {
  height: 40px;
  width: 200.8px;
  font-size: 1rem;
}

footer h3 {
  margin-bottom: 18px;
  color: #fff;
}

footer a {
  color: #fff !important;
  font-size: 1rem;
}

footer .socials a {
  margin: 0 16px;
  font-size: 1.5rem;
  text-decoration: none !important;
}

footer .footer-wrapper {
  max-width: 677px;
  margin: 0 auto;
}

footer .comp-desc a {
  color: #8c8c8c !important;
  font-size: 0.75rem;
  text-decoration: underline;
}

footer .comp-desc {
  font-size: 0.75rem;
  line-height: 1.75;
}

footer p {
  color: #8c8c8c;
}

footer .select-wrapper p {
  color: #fff;
  font-size: 1rem;
  margin-bottom: 7px;
  line-height: 1.5;
}

footer .select-wrapper {
  margin-bottom: 37px;
}

.scrolled-up-mobile {
  position: relative;
  overflow-y: auto;
}

@media (min-width: 800px) {
  #scroll-fixed {
    display: block;
  }
}

@media screen and (max-width: 768px) {
  .scrollable {
    position: static;
    height: fit-content;
    max-height: fit-content;
  }
  .scrolled-up-mobile {
    overflow-y: auto;
  }

  #iframe-mob {
    background-color: black;
    border-radius: 10px;
    width: 100%;
    height: 335px;
    min-height: 335px;
  }

  .phone-wrapper {
    display: block;
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
  }

  .preview-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 15px;
    background-color: #007bff;
    /* Example background color */
    color: #fff;
    border-radius: 50px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  }

  .preview-btn i {
    font-size: 0.91rem;
    margin-top: -2px;
  }

  .dropdown-scroll {
    max-height: 25vh;
  }
}
